Bundles & posts API
10 REST endpoints for bundles & posts, each with its parameters, the response it returns and a runnable curl example. Starts with GET /api/bundles.
GET/api/bundlesGet bundles
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Examples in 22 languages and Try it →
Responses
POST/api/bundlesCreate or update bundles
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 9
| Name | In | Description |
|---|---|---|
domainId | body | JSON request field |
heading | body | JSON request field |
items | body | JSON request field |
description | body | JSON request field |
logo | body | JSON request field |
background | body | JSON request field |
theme | body | JSON request field |
socials | body | JSON request field |
path | body | JSON request field |
Examples in 22 languages and Try it →
Responses
DELETE/api/bundles/{id}Delete bundles by ID
Removes the selected resource after authorization. Access is limited by the API key scope and the workspace plan.
Parameters 1
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
Examples in 22 languages and Try it →
Responses
GET/api/bundles/{id}Get bundles by ID
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Parameters 1
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
Examples in 22 languages and Try it →
Responses
POST/api/bundles/{id}Create or update bundles by ID
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 5
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
theme | body | JSON request field |
socials | body | JSON request field |
items | body | JSON request field |
heading | body | JSON request field |
Examples in 22 languages and Try it →
Responses
GET/api/postsGet posts
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Examples in 22 languages and Try it →
Responses
POST/api/postsCreate or update posts
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 11
| Name | In | Description |
|---|---|---|
domainId | body | JSON request field |
title | body | JSON request field |
slug | body | JSON request field |
cover | body | JSON request field |
body | body | JSON request field |
tags | body | JSON request field |
seoTitle | body | JSON request field |
seoDescription | body | JSON request field |
noindex | body | JSON request field |
status | body | JSON request field |
publishAt | body | JSON request field |
Examples in 22 languages and Try it →
Responses
DELETE/api/posts/{id}Delete posts by ID
Removes the selected resource after authorization. Access is limited by the API key scope and the workspace plan.
Parameters 1
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
Examples in 22 languages and Try it →
Responses
GET/api/posts/{id}Get posts by ID
Returns data without changing the resource. Access is limited by the API key scope and the workspace plan.
Parameters 1
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
Examples in 22 languages and Try it →
Responses
POST/api/posts/{id}Create or update posts by ID
Validates the payload and returns the resulting resource. Access is limited by the API key scope and the workspace plan.
Parameters 7
| Name | In | Description |
|---|---|---|
id | path | Required path parameter |
slug | body | JSON request field |
tags | body | JSON request field |
seoTitle | body | JSON request field |
seoDescription | body | JSON request field |
noindex | body | JSON request field |
publishAt | body | JSON request field |
Examples in 22 languages and Try it →

